Subject: [Sigtran] Problem with dynamic Registration In IPSP scenario

From: [email-masked]
Date: Tue, 28 May 2002 10:46:41 +0530

Hi,

1)  Does Dynamic Registration in IPSP-IPSP communication require a single
      exchange or a double exchange?

2)  In case of single exchange , I have a problem as stated below.
      For example in case shown below , where both peer support single exchange
, and
      we dynamically register a Routing Key (DPC only from IPSP B to IPSP A).
      After sending an ACTIVE from IPSP B to IPSP A , both ends can transfer
traffic ,
      Now IPSP B can accept traffic for PC X, but for what PC will IPSP A
receive traffic.
         ________                                 ________
        |                   |                              |                   |
        |   IPSP A  |---------------------- |   IPSP B  |
        |________|                              |________ |

                                  REG REQ (SINGLE exchange) RK = DPC only (value
X )
                             <---------------------
                                  REG RSP
                              ---------------------->
                                  ACTIVE (Single exchange)
                             <----------------------
                                  Active ACK
                              ----------------------->
                                   DATA  for PC X ( Now both sides can send data
)
                              ----------------------->
                                    DATA     (but for which PC will IPSP A
receive data)
                                <-----------------------

[but the same can be done in double exchange when both IPSP A & B exchange
Routing Keys]
How can the same be achieved in case of single exchange?

3) The scenario shown above can be achieved with single exchange if we use the
Routing key
     DPC+OPC , so does that mean that there some restriction on the type of
Routing keys to be
     used for Dynamic Registration in IPSP -IPSP scenario? Is Routing Key DPC
only not valid in
     this case ?

Regards
-Akhtar

DISCLAIMER: This message is proprietary to Hughes Software Systems
Limited (HSS) and is intended solely for the use of the individual
to whom it is addressed. It may contain  privileged or confidential
information  and should not be circulated or used for any purpose other
than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. HSS accepts
no responsibility for loss or damage arising from the use of the information
transmitted by this email including damage from virus.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "reshma" <[email-masked]>
Date: Thu, 30 May 2002 21:19:27 +0530

Hi Javier ,

    Thanks for the reply ,some more doubts..

> > >  Hi Javier,
> > >
> > > > >
> > > > > [Reshma]In such case can both of these interoperate..?
> > > > >
> > > > >
> > > > We have to make them to interop if possible. It make not
> > sense having
> > two
> > > methods to do things being not interoperable
> > >
> > > [Reshma] But why there is a need for 2 types of RK
> > Registration in IPSP ?
> > > Just b'coz it was put in the draft initially are we following it..?
> > > And also trying to make them interoperate?
> > >
>
> The problem is not about registration, but about what is called Single and
Double Exchanges. This two methods were included in the RFC because there
was no consensus about which one to select. Both of them have advantages and
disadvantages.

[Reshma] So you agree that we need any one ?(that is if at all needed) .

>
> Theoretically the RFC is approved and everything there is OK. The only
point is that we should fix the problems that are still there, by adding or
modifying text.
>
> An already stated problem is about the non interoperability of the two
exchanges modes. I'm working on it and I'll send a draft out soon.
>
> When RFC passes to draft standard, what is not used will be removed from
the RFC, so that people is who decides on keeping it or not.
>
> > > > > [Reshma] Is there any need for dynamic registration in
> > case of IPSPs
> > > > > As brain said in one of the mails GTT tables are static
> > > > > tables which is used
> > > > > by SCCP for conversion of  number to DPC /OPC .If there is no
> > > > > practical use
> > > > > of this then why these complication of double ended and
> > single ended
> > > > > registration?
> > > > >
> > > >
> > > > I also think registration is not needed. But if people want it, we
> > should
> > > include it as an option.
> > >
> > > [Reshma] why do we need an option when we practically dont use it..?
> > > Also i  did'nt see any objections in mailing list when
> > Brian said dynamic
> > > registration is not needed.
> > > Looks like all have same opinion.
> > >
>
> There some people that have already implemented it. But anyway, we can not
modify the RFC technically right now, just solving the holes we can find.

[Reshma] If we cant change the RFC ,then atleast in the new drafts
(IPSP-IPSP draft)we should not be putting the same things again :-(

From the discussion in the list many people have the opinion that  " We dont
need RK REG procedures in IPSP-IPSP "
and the only reason that you are saying its needed is that "some people that
have already implemented it" and  not to make any changes in RFC . Is there
any other reason why we might need this..? Am i missing something..?

Thanks,
Reshma